Subject: [Fwd: Re: wan/pc300 bug found]

From: Jeff Garzik <[email-masked]>
Date: Tue, 14 Nov 2006 09:42:07 -0500

FYI...  I'm certainly willing to remove pc300, if nobody wants it.

But I am unsure whether this is a case of "vendor doesn't care" or 
"users don't care", which are two very different things...

	Jeff

Subject: RE: wan/pc300 bug found
From: "Squassoni, Daniela" <[email-masked]>
To: "Jeff Garzik" <[email-masked]>
Cc: "Rosalino, Wanda" <[email-masked]>
Date: Tue, 14 Nov 2006 05:43:29 -0600

Jeff,

As PC300 is not being produced anymore, we decided that the best solution is to remove its driver from the kernel. I will send you a patch to do so, as soon as possible.

Best regards,

Daniela

-----Original Message-----
From: Jeff Garzik [mailto:[email-masked]]
Sent: Sun 10/1/2006 1:35 PM
To: [email-masked]; [email-masked]; [email-masked]; LKML; Andrew Morton
Subject: wan/pc300 bug found

The following gcc warning indicates a bug:

drivers/net/wan/pc300_drv.c: In function 'cpc_open':
drivers/net/wan/pc300_drv.c:2870: warning: 'br' may be used uninitialized in this function

clock_rate_calc() is not checked for a negative return value.